package cn.superdesk.uniorder.dao.mapper.thirdpart.jd;

import cn.superdesk.uniorder.dao.entity.thirdpart.jd.AccountingUnifiedSupplierOrderJd;
import cn.superdesk.uniorder.dao.entity.thirdpart.jd.AccountingUnifiedSupplierOrderJdExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingUnifiedSupplierOrderJdMapper {
    long countByExample(AccountingUnifiedSupplierOrderJdExample example);

    int deleteByExample(AccountingUnifiedSupplierOrderJdExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingUnifiedSupplierOrderJd record);

    int insertSelective(AccountingUnifiedSupplierOrderJd record);

    List<AccountingUnifiedSupplierOrderJd> selectByExampleWithBLOBs(AccountingUnifiedSupplierOrderJdExample example);

    List<AccountingUnifiedSupplierOrderJd> selectByExample(AccountingUnifiedSupplierOrderJdExample example);

    AccountingUnifiedSupplierOrderJd selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingUnifiedSupplierOrderJd record, @Param("example") AccountingUnifiedSupplierOrderJdExample example);

    int updateByExampleWithBLOBs(@Param("record") AccountingUnifiedSupplierOrderJd record, @Param("example") AccountingUnifiedSupplierOrderJdExample example);

    int updateByExample(@Param("record") AccountingUnifiedSupplierOrderJd record, @Param("example") AccountingUnifiedSupplierOrderJdExample example);

    int updateByPrimaryKeySelective(AccountingUnifiedSupplierOrderJd record);

    int updateByPrimaryKeyWithBLOBs(AccountingUnifiedSupplierOrderJd record);

    int updateByPrimaryKey(AccountingUnifiedSupplierOrderJd record);
}